Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Philippe Vaucher <[email-masked]>
Date: Sun, 11 Sep 2016 21:32:51 +0200

>>     What about disabling randomization for the temacs run?
>>
>> That is yet another low-level thing to configure, and to get right in new ports.
>
> We already have that in Emacs, don't we?

That is exactly why I made the bug report 23529!

Because Emacs does stuffs at build time that requires "high"
privileges (like the personality() syscall), one cannot build Emacs in
various restricted environments.

Disabling randomization is exactly what we should get rid of, at least
at build time. Having some part of emacs that requires somewhat high
privileges when it runs is ok, but that should *not* be part of the
standard build procedure... Being able to build GCC inside a container
but not Emacs is just "wrong" IMHO.

Philippe